English
FxLwtTable
About 215 wordsLess than 1 minute
2025-12-16
Used to display a pivot-style table.
Attributes
| Parameter | Description | Type | Optional Values | Default |
|---|---|---|---|---|
| id | Pivot table ID (required) | String | — | - |
| tableHeight | Table height | Number | — | - |
| tableWidth | Table width | Number | — | - |
| pageSize | Number of rows per page | Number | — | - |
| pageNumber | Page number | Number | — | - |
| filterList | Filter conditions | Array | — | - |
Basic Usage
The component is obtained through FxUI.component.get('BILwtTable').
Usage
- Set request parameters by calling
setQueryParams - Send the request by calling
queryData
Code example:
<template>
<div id="graphWrap">
<lwt-table
class="tableWrap"
v-loading="loading"
fx-loading-text="Loading..."
ref="BITable"
:key="id"
:table-height="tableHeight"
:table-width="tableWidth"
@onLwtMounted="lwtMounted"
:on-after-render="afterRender"
></lwt-table>
</div>
</template>
<script>
export default {
components: {
LwtTable: FxUI.component.get('BILwtTable')
},
data() {
return {
id: 'BI_lwt_1658322497512',
filterList: [],
queryParams: {},
tableHeight: 500,
tableWidth: 800,
tableHeadFieldList: [],
loading: false,
}
},
methods: {
lwtMounted() {
this.loading = true;
this.queryParams = {
id: this.id,
filterList: [],
pageSize: 20,
pageNumber: 1,
};
this.$refs.BITable.$refs.lwtCom && this.$refs.BITable.$refs.lwtCom.lwtQuery.setQueryParams(this.queryParams);
this.$refs.BITable.$refs.lwtCom && this.$refs.BITable.$refs.lwtCom.queryData();
},
afterRender() {
console.log('Load completed')
this.loading = false
}
}
}
</script>Component Extension
To meet enterprise customization needs, the component provides several extension methods that allow developers to quickly build corresponding functions.
Component Slots
The slot mechanism allows developers to replace a component or a certain type of component with one they build themselves, thereby changing the interaction form of the field.
